#!/bin/sh

args=`getopt os: $*`
if [ $? -ne 0 ]; then
	echo 'Usage: start.sh [-o] -s SignerID'
	exit 2
fi
set -- $args
offline=0
while :; do
	case "$1" in
	-o)
		offline=1
		shift
		;;
	-s)
		signerid="$2"
		shift; shift
		;;
	--)
		shift; break
		;;
	esac
done
if [ -z "${signerid}" ]; then
	echo 'Usage: start.sh [-o] -s SignerID'
	echo 'Signer ID not set.'
	exit 1
fi

/usr/local/bin/setuidgid signer \
    env CA_PUBKEY=/usr/local/etc/certs/ca-pubkey.pem \
    SIGNER_PUBKEY=/usr/local/etc/certs/signer-pubkey.pem \
    SIGNER_PRIVKEY=/usr/local/etc/certs/signer-privkey.pem \
    SIGNER_CERT=/usr/local/etc/certs/signer-cert.pem \
    HOMEDIR=/usr/local/signer OFFLINE=${offline} \
    SIGNER_ID=${signerid} \
    /usr/local/bin/cgi-fcgi -start -connect 127.0.0.1:9000 \
    /usr/local/bin/signer

